# Draw
TKDraw
Draw

# Draw_Chronometer Class Reference

Class to store chronometer variables.
.

`#include <Draw_Chronometer.hxx>`

Inheritance diagram for Draw_Chronometer:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Chronometer ()
Standard_EXPORT OSD_Timer & | Timer ()
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| Does nothhing, .
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

OSD_Timer | myTimer

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Chronometer::Draw_Chronometer | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D Draw_Chronometer::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void Draw_Chronometer::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void Draw_Chronometer::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const Draw_Chronometer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT OSD_Timer& Draw_Chronometer::Timer | ( |  | ) |

virtual Standard_EXPORT void Draw_Chronometer::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

OSD_Timer Draw_Chronometer::myTimer `[private]`

The documentation for this class was generated from the following file:

- Draw_Chronometer.hxx